# Android env scripts

Scripts to manage android stuff.

## Setup

First make sure you have the right env variable set. Copy the variable of [android_env](./android_env) in `~/.bashrc` and edit to your liking. The first time, you need to refresh your environment with `source ~/.bashrc`.

## Install 

If you havent already installed Android `sdkmanager` and the basic packages, run [`install_android.sh`](./install_android.sh)

## Create emulator

To create emulators, you can use [`make_emulators.sh`](./make_emulators.sh). Edit the variables in the script to your liking.

## Run emulators (headless)

The first time an emulator boot, it will make a snapshot post boot to accelerate futures boots. For some reason some time the first boot hang in an headless setup, [`./emulator_first_boot.sh`](./emulator_first_boot.sh) may help with the first boot.

To start the emulators normally, use [`start_emulators.sh`](./start_emulators.sh)

## Stop emulators

To stop all emulators, run [`kill_all_emulators.sh`](./kill_all_emulators.sh)

## Delete emulators

To delete emulators, run [`delate_emulators.sh`](./delate_emulators.sh)
