#!/usr/bin/bash

mkdir -p "${ANDROID_HOME}" \
 && mkdir -p "${ANDROID_USER_HOME}" \
 && mkdir /tmp/tmpinstall \
 && curl https://dl.google.com/android/repository/commandlinetools-linux-11076708_latest.zip -o /tmp/tmpinstall/cmdlinetools.zip \
 && unzip /tmp/tmpinstall/cmdlinetools.zip -d /tmp/tmpinstall/ \
 && yes | /tmp/tmpinstall/cmdline-tools/bin/sdkmanager 'cmdline-tools;latest' --sdk_root=${ANDROID_HOME} \
 && rm -rf /tmp/tmpinstall \
 && yes | sdkmanager --licenses \
 && sdkmanager 'platform-tools' \
 && sdkmanager 'emulator' \
 && sdkmanager 'platforms;android-34' \
 && sdkmanager 'system-images;android-34;default;x86_64'
